LinuxQMISDK: WCDMASysInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
WCDMASysInfo Struct Reference

## Data Fields
sysInfoCommon | sysInfoWCDMA
BYTE | lacValid
WORD | lac
BYTE | cellIdValid
ULONG | cellId
BYTE | regRejectInfoValid
BYTE | rejectSrvDomain
BYTE | rejCause
BYTE | networkIdValid
BYTE | MCC [3]
BYTE | MNC [3]
BYTE | hsCallStatusValid
BYTE | hsCallStatus
BYTE | hsIndValid
BYTE | hsInd
BYTE | pscValid
WORD | psc

## Detailed Description

Structure for storing the WCDMA System Information.

Parameters

  sysInfoWCDMA | See sysInfoCommon for more information.
  lacValid | Indicates whether the location area code is valid.. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  lac | Location area code. Only applies to 3GPP. 0xFFFF - Not Available
  cellIdValid | Indicates whether the cell ID is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  cellId | Cell ID. 0xFFFFFFFF - Not Available
  regRejectInfoValid | Indicates whether the registration reject information is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  rejectSrvDomain | Type of service domain in which the registration is rejected. 0x00 - SYS_SRV_DOMAIN_NO_SRV - No service 0x01 - Circuit-switched only 0x02 - Packet-switched only 0x03 - Circuit-switched and packet-switched 0x04 - Camped 0xFF - Not Available
  rejCause | Reject cause values sent are specified in [3GPP TS 24.008, Section 10.5.3.6]. 0xFF - Not Available
  networkIdValid | Indicates whether the network ID is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  MCC[PLMN_LENGTH] | Mobile Country Code. MCC digits in ASCII characters
  MNC[PLMN_LENGTH] | Mobile Network Code. MNC digits in ASCII characters An unused byte is set to 0xFF.
  hsCallStatusValid | Indicates whether the high-speed call status is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  hsCallStatus | Call status on high speed. Only applicable for WCDMA. 0x00 - HSDPA and HSUPA are unsupported 0x01 - HSDPA is supported 0x02 - HSUPA is supported 0x03 - HSDPA and HSUPA are supported 0x04 - HSDPA+ is supported 0x05 - HSDPA+ and HSUPA are supported 0x06 - Dual-cell HSDPA+ is supported 0x07 - Dual-cell HSDPA+ and HSUPA are supported 0xFF - Not Available
  hsIndValid | Indicates whether high-speed service indication is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  hsInd | High-speed service indication Only applicable for WCDMA. 0x00 - HSDPA and HSUPA are unsupported 0x01 - HSDPA is supported 0x02 - HSUPA is supported 0x03 - HSDPA and HSUPA are supported 0x04 - HSDPA+ is supported 0x05 - HSDPA+ and HSUPA are supported 0x06 - Dual-cell HSDPA+ is supported 0x07 - Dual-cell HSDPA+ and HSUPA are supported 0xFF - Not Available
  pscValid | Indicates whether primary scrambling code is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  psc | Primary scrambling code. 0xFFFF - Not Available

## Field Documentation

ULONG WCDMASysInfo::cellId

BYTE WCDMASysInfo::cellIdValid

BYTE WCDMASysInfo::hsCallStatus

BYTE WCDMASysInfo::hsCallStatusValid

BYTE WCDMASysInfo::hsInd

BYTE WCDMASysInfo::hsIndValid

WORD WCDMASysInfo::lac

BYTE WCDMASysInfo::lacValid

BYTE WCDMASysInfo::MCC[3]

BYTE WCDMASysInfo::MNC[3]

BYTE WCDMASysInfo::networkIdValid

WORD WCDMASysInfo::psc

BYTE WCDMASysInfo::pscValid

BYTE WCDMASysInfo::regRejectInfoValid

BYTE WCDMASysInfo::rejCause

BYTE WCDMASysInfo::rejectSrvDomain

sysInfoCommon WCDMASysInfo::sysInfoWCDMA